Package com.documentum.registry

# Class DfRegistryConstants

java.lang.Object
com.documentum.registry.DfRegistryConstants

public final class DfRegistryConstants extends Object
This class contains constants that are used within DFC with respect to the registry.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALTERNATE_FILEPATHS`
  `static final String`
  `APPLICATION_SUPPORT_DOCUMENTS`
  `static final String`
  `ATTRS`
  `static final String`
  `CHECKOUT_DIR`
  `static final String`
  `CHRONICLE_ID`
  `static final String`
  `COMMON`
  `static final String`
  `CONTENT_DETECTORS`
  `static final String`
  `CREATED_AS_LOCAL_COPY`
  `static final String`
  `DOCBASE_ID`
  `static final String`
  `DOCBASE_NAME`
  `static final String`
  `DOCBASE_OBJECT_MODIFIED`
  `static final String`
  `DOCBROKER_NAME`
  `static final String`
  `DOMAIN_NAME`
  `static final String`
  `EXPORT_DIR`
  `static final String`
  `FILE_NAME`
  `static final String`
  `FILES_TO_BE_DELETED`
  `static final String`
  `FOLDER_PATH`
  `static final String`
  `FORMAT`
  `static final String`
  `FORMAT_DESCRIPTION`
  `static final String`
  `HOUSE_KEEPING`
  `static final String`
  `INLINE_DESCENDENTS`
  `static final String`
  `KEEP_LOCAL_FILE`
  `static final String`
  `KEY_DELIMITER`
  `static final String`
  `LOCAL_FILE_CREATED`
  `static final String`
  `LOCAL_FILES`
  `static final String`
  `MASTER_OBJECT_ID`
  `static final String`
  `MODIFIED`
  `static final String`
  `OBJECT_NAME`
  `static final String`
  `PARENT_OBJECTID`
  `static final String`
  `PROGRAM_DIR`
  `static final String`
  `REFERENCE_OBJECT_ID`
  `static final String`
  `ROOT_ID`
  `static final String`
  `SHARED_BY_DOCUMENT`
  `static final String`
  `STR_APPLICATION_SUPPORT_DOCUMENTS`
  `static final String`
  `STR_INLINE_DESCENDENTS`
  `static final String`
  `STR_WORKING_FILES`
  `static final String`
  `TITLE`
  `static final String`
  `TYPE`
  `static final String`
  `USER`
  `static final String`
  `USER_DIR`
  `static final String`
  `USER_NAME`
  `static final String`
  `VERSION`
  `static final String`
  `VIEWED_FILES`
  `static final String`
  `VSTAMP`
  `static final String`
  `WORKING_FILES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfRegistryConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### KEY_DELIMITER

    public static final String KEY_DELIMITER
    See Also:
      - Constant Field Values

  - ### COMMON

    public static final String COMMON
    See Also:
      - Constant Field Values

  - ### CONTENT_DETECTORS

    public static final String CONTENT_DETECTORS
    See Also:
      - Constant Field Values

  - ### APPLICATION_SUPPORT_DOCUMENTS

    public static final String APPLICATION_SUPPORT_DOCUMENTS
    See Also:
      - Constant Field Values

  - ### FILES_TO_BE_DELETED

    public static final String FILES_TO_BE_DELETED
    See Also:
      - Constant Field Values

  - ### HOUSE_KEEPING

    public static final String HOUSE_KEEPING
    See Also:
      - Constant Field Values

  - ### INLINE_DESCENDENTS

    public static final String INLINE_DESCENDENTS
    See Also:
      - Constant Field Values

  - ### LOCAL_FILES

    public static final String LOCAL_FILES

  - ### WORKING_FILES

    public static final String WORKING_FILES

  - ### VIEWED_FILES

    public static final String VIEWED_FILES

  - ### PROGRAM_DIR

    public static final String PROGRAM_DIR
    See Also:
      - Constant Field Values

  - ### USER_DIR

    public static final String USER_DIR
    See Also:
      - Constant Field Values

  - ### CHECKOUT_DIR

    public static final String CHECKOUT_DIR
    See Also:
      - Constant Field Values

  - ### EXPORT_DIR

    public static final String EXPORT_DIR
    See Also:
      - Constant Field Values

  - ### ALTERNATE_FILEPATHS

    public static final String ALTERNATE_FILEPATHS
    See Also:
      - Constant Field Values

  - ### ATTRS

    public static final String ATTRS
    See Also:
      - Constant Field Values

  - ### SHARED_BY_DOCUMENT

    public static final String SHARED_BY_DOCUMENT
    See Also:
      - Constant Field Values

  - ### DOCBASE_ID

    public static final String DOCBASE_ID
    See Also:
      - Constant Field Values

  - ### DOCBASE_NAME

    public static final String DOCBASE_NAME
    See Also:
      - Constant Field Values

  - ### DOCBROKER_NAME

    public static final String DOCBROKER_NAME
    See Also:
      - Constant Field Values

  - ### DOMAIN_NAME

    public static final String DOMAIN_NAME
    See Also:
      - Constant Field Values

  - ### FILE_NAME

    public static final String FILE_NAME
    See Also:
      - Constant Field Values

  - ### FORMAT

    public static final String FORMAT
    See Also:
      - Constant Field Values

  - ### FORMAT_DESCRIPTION

    public static final String FORMAT_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### FOLDER_PATH

    public static final String FOLDER_PATH
    See Also:
      - Constant Field Values

  - ### OBJECT_NAME

    public static final String OBJECT_NAME
    See Also:
      - Constant Field Values

  - ### TITLE

    public static final String TITLE
    See Also:
      - Constant Field Values

  - ### TYPE

    public static final String TYPE
    See Also:
      - Constant Field Values

  - ### USER

    public static final String USER
    See Also:
      - Constant Field Values

  - ### VSTAMP

    public static final String VSTAMP
    See Also:
      - Constant Field Values

  - ### CHRONICLE_ID

    public static final String CHRONICLE_ID
    See Also:
      - Constant Field Values

  - ### DOCBASE_OBJECT_MODIFIED

    public static final String DOCBASE_OBJECT_MODIFIED
    See Also:
      - Constant Field Values

  - ### LOCAL_FILE_CREATED

    public static final String LOCAL_FILE_CREATED
    See Also:
      - Constant Field Values

  - ### CREATED_AS_LOCAL_COPY

    public static final String CREATED_AS_LOCAL_COPY
    See Also:
      - Constant Field Values

  - ### KEEP_LOCAL_FILE

    public static final String KEEP_LOCAL_FILE
    See Also:
      - Constant Field Values

  - ### MASTER_OBJECT_ID

    public static final String MASTER_OBJECT_ID
    See Also:
      - Constant Field Values

  - ### MODIFIED

    public static final String MODIFIED
    See Also:
      - Constant Field Values

  - ### REFERENCE_OBJECT_ID

    public static final String REFERENCE_OBJECT_ID
    See Also:
      - Constant Field Values

  - ### USER_NAME

    public static final String USER_NAME
    See Also:
      - Constant Field Values

  - ### VERSION

    public static final String VERSION
    See Also:
      - Constant Field Values

  - ### ROOT_ID

    public static final String ROOT_ID
    See Also:
      - Constant Field Values

  - ### PARENT_OBJECTID

    public static final String PARENT_OBJECTID
    See Also:
      - Constant Field Values

  - ### STR_INLINE_DESCENDENTS

    public static final String STR_INLINE_DESCENDENTS
    See Also:
      - Constant Field Values

  - ### STR_WORKING_FILES

    public static final String STR_WORKING_FILES
    See Also:
      - Constant Field Values

  - ### STR_APPLICATION_SUPPORT_DOCUMENTS

    public static final String STR_APPLICATION_SUPPORT_DOCUMENTS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DfRegistryConstants

    public DfRegistryConstants()